For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETGet widget
          • POSTCreate widget avatar
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWidget

Create widget avatar

POST
/v1/convai/agents/:agent_id/avatar
POST
/v1/convai/agents/:agent_id/avatar
$curl -X POST https://api.elevenlabs.io/v1/convai/agents/agent_id/avatar \
> -H "Content-Type: multipart/form-data" \
> -F avatar_file=@agent_avatar.png
1{
2 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
3 "avatar_url": "https://cdn.elevenlabs.io/avatars/agent_3701k3ttaq12ewp8b7qv5rfyszkz.png"
4}
Sets the avatar for an agent displayed in the widget
Was this page helpful?
Previous

Get settings

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
avatar_filefileRequired
An image file to be used as the agent's avatar.

Response

Successful Response
agent_idstring
avatar_urlstring or null

Errors

422
Unprocessable Entity Error